import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
// ColorList
import * as React from 'react';

var ColorList = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(ColorList, _React$Component);

  function ColorList() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;
    _this.mainColors = ['#000', '#333', '#444', '#555', '#666', '#777', '#888', '#999', '#aaa', '#bbb', '#ccc', '#ddd', '#eee', '#fff'];
    _this.colors = ['#fec6c2', '#fee5c3', '#fefcc3', '#baf6c4', '#c3ebfe', '#c3cbfe', '#e1caff', '#fc8e88', '#fccc88', '#fcf888', '#76ec8a', '#88d8fc', '#97a4fb', '#c098f4', '#ff6666', '#ffb151', '#fada3a', '#18c937', '#3aaafa', '#6373e2', '#a669f7', '#f63030', '#f88933', '#deb12a', '#038e23', '#1276cc', '#3f52ce', '#8838ed', '#c60000', '#d86912', '#b88811', '#086508', '#144c93', '#1b2eaa', '#6117bf'];
    return _this;
  }

  var _proto = ColorList.prototype;

  _proto.handleHeader = function handleHeader(header) {
    var onSelectHeader = this.props.onSelectHeader;

    if (typeof onSelectHeader === 'function') {
      onSelectHeader(header);
    }
  };

  _proto.render = function render() {
    var _this2 = this;

    return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement("div", {
      style: {
        display: 'flex',
        flexWrap: 'wrap',
        // 允许换行
        justifyContent: 'flex-start',
        // 对齐方式
        width: '200px'
      }
    }, this.mainColors.map(function (color, index) {
      return /*#__PURE__*/React.createElement("div", {
        key: index // 关键属性，确保每个元素唯一
        ,
        "data-color": color,
        style: {
          background: color,
          height: '20px',
          // 根据需要设置高度
          width: '20px',
          margin: '3px' // 设置颜色块之间的间距

        },
        onClick: _this2.handleHeader.bind(_this2, "mainColors" + index),
        onMouseEnter: function onMouseEnter(e) {
          e.currentTarget.style.transform = 'scale(1.2)'; // 鼠标进入时放大
        },
        onMouseLeave: function onMouseLeave(e) {
          e.currentTarget.style.transform = 'scale(1)'; // 鼠标离开时恢复大小
        }
      });
    })), /*#__PURE__*/React.createElement("div", {
      style: {
        display: 'flex',
        flexWrap: 'wrap',
        // 允许换行
        justifyContent: 'flex-start',
        // 对齐方式
        width: '200px'
      }
    }, this.colors.map(function (color, index) {
      return /*#__PURE__*/React.createElement("div", {
        key: index // 关键属性，确保每个元素唯一
        ,
        "data-color": color,
        style: {
          background: color,
          height: '20px',
          // 根据需要设置高度
          width: '20px',
          margin: '3px' // 设置颜色块之间的间距

        },
        onClick: _this2.handleHeader.bind(_this2, "colors" + index),
        onMouseEnter: function onMouseEnter(e) {
          e.currentTarget.style.transform = 'scale(1.2)'; // 鼠标进入时放大
        },
        onMouseLeave: function onMouseLeave(e) {
          e.currentTarget.style.transform = 'scale(1)'; // 鼠标离开时恢复大小
        }
      });
    })), /*#__PURE__*/React.createElement("a", {
      style: {
        float: "right"
      },
      href: "https://www.zhongguose.com/",
      target: "_blank"
    }, "\u8C03\u8272\u5730\u5740"));
  };

  return ColorList;
}(React.Component);

export default ColorList;